Send data to the remote TCP socket.

- « Swoole\Client::resume

- Swoole\Client::sendfile »

- PHP Manual
- Swoole\Client
- Send data to the remote TCP socket.

# Swoole\Client::send

(PECL swoole >= 1.9.0)

Swoole\Client::send — Send data to the remote TCP socket.

### Description

public Swoole\Client::send(string `$data`, string `$flag` = ?): int

### Parameters

`data`

  The data to send which can be string or binary

`flag`

### Return Values

If the client sends data successfully, it returns the length of data sent. Or it returns false and sets $swoole_client->errCode. For sync client, there is no limit for the data to send. For async client, The limit for the data to send is socket_buffer_size.